### Property

# Adw Squeezer:switch-threshold-policy

#### Declaration

    property switch-threshold-policy: Adw.FoldThresholdPolicy [ read, write ]

#### Description [src]

Determines when the squeezer will switch children.

If set to `ADW_FOLD_THRESHOLD_POLICY_MINIMUM`, it will only switch when the visible child cannot fit anymore. With `ADW_FOLD_THRESHOLD_POLICY_NATURAL`, it will switch as soon as the visible child doesn’t get their natural size.

This can be useful if you have a long ellipsizing label and want to let it ellipsize instead of immediately switching.

Type: | `AdwFoldThresholdPolicy`
Available since: | 1.0

Getter method | `adw_squeezer_get_switch_threshold_policy()`
Setter method | `adw_squeezer_set_switch_threshold_policy()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no